<?php
if (empty($numero) || empty($idbanco)){
	echo "<script>window.alert('ERRO. dados nao encontrado');</script>";
} else {
	require('../adodb/adodb.inc.php'); //biblioteca necessaria para trabalhar com adodb
	require('../Amfphp/Services/conexao.php');
	require('../Amfphp/Services/funcoes.php');
	$con = new conexao();
	$sql="select financeiro.valor, financeiro.dataemissao, financeiro.datavencimento, financeiro.descricao as DescricaoBoleto, financeiro.situacao as SitBoleto, banco.*, provedor.nome, provedor.endereco from financeiro, banco, provedor where financeiro.idbanco = banco.idbanco and financeiro.idprovedor = provedor.idprovedor and financeiro.numero = '$numero' and financeiro.idbanco = '$idbanco'";
	$resultado             = $con->banco->Execute($sql);
	$registro              = $resultado->FetchNextObject();
	$boleto_situacao		= $registro->SITBOLETO;
	if ($boleto_situacao == "Pago"){
		echo "<script>window.alert('Atencao. Este boleto ja foi pago.');</script>";	
	}
	if ($boleto_situacao == "Cancelado"){
		echo "<script>window.alert('Atencao. Este boleto foi cancelado.');</script>";	
	}
	if ($boleto_situacao == "Pendente"){
		$financeiro_valor      = $registro->VALOR;
		$financeiro_emissao    = $registro->DATAEMISSAO;
		$financeiro_emissao    = substr($financeiro_emissao,0,10);
		$financeiro_vencimento = $registro->DATAVENCIMENTO;
		$financeiro_descricao  = $registro->DESCRICAOBOLETO;
		$banco_tx              = $registro->TXBANCARIA;
		$banco_juros           = $registro->JUROS;
		$banco_desconto        = $registro->DESCONTO;
		$banco_mora            = $registro->MORA;
		$banco_agencia         = explode("-",$registro->AGENCIA);
		$banco_agencia_num 	   = $banco_agencia[0];
		$banco_agencia_dv      = $banco_agencia[1];
		$banco_conta           = $registro->CONTA;
		$banco_dv              = $registro->DV;
		$banco_byte            = $registro->BYTE;
		$banco_praca           = $registro->PRACA;
		$banco_cedente         = $registro->TITULAR;
		$banco_cidade          = $registro->CIDADE;
		$banco_uf              = $registro->UF;
		$provedor_nome         = $registro->NOME;
		$provedor_endereco	   = $registro->ENDERECO;
	
		if ($banco_juros > 0){
			$obs1 = "- Sr. Caixa: Cobrar juros de R\$ $banco_juros ao dia";
		} else {
			$obs1 = "";
		}
		if ($banco_desconto > 0){
			$obs2 = "- Conceder R\$ $banco_desconto de desconto para pagamentos antes do vencimento";
		} else {
			$obs2 = "";
		}


// ------------------------- DADOS DINÂMICOS DO SEU CLIENTE PARA A GERAÇÃO DO BOLETO (FIXO OU VIA GET) -------------------- //
// Os valores abaixo podem ser colocados manualmente ou ajustados p/ formulário c/ POST, GET ou de BD (MySql,Postgre,etc)	//

// DADOS DO BOLETO PARA O SEU CLIENTE
$dias_de_prazo_para_pagamento = 5;
$taxa_boleto = $banco_tx;
$data_venc = dmy($financeiro_vencimento);  // Prazo de X dias OU informe data: "13/04/2006"; 
$valor_cobrado = $financeiro_valor; // Valor - REGRA: Sem pontos na milhar e tanto faz com "." ou "," ou com 1 ou 2 ou sem casa decimal
$valor_cobrado = str_replace(",", ".",$valor_cobrado);
$valor_boleto=number_format($valor_cobrado+$taxa_boleto, 2, ',', '');

$numero_sem_dv = substr($numero,0,11);
$dadosboleto["nosso_numero"] = "$numero_sem_dv";  // Nosso numero sem o DV - REGRA: Máximo de 11 caracteres!
$dadosboleto["numero_documento"] = $dadosboleto["nosso_numero"];	// Num do pedido ou do documento = Nosso numero
$dadosboleto["data_vencimento"] = $data_venc; // Data de Vencimento do Boleto - REGRA: Formato DD/MM/AAAA
$dadosboleto["data_documento"] = dmy($financeiro_emissao); // Data de emissão do Boleto
$dadosboleto["data_processamento"] = dmy($financeiro_emissao); // Data de processamento do boleto (opcional)
$dadosboleto["valor_boleto"] = $valor_boleto; 	// Valor do Boleto - REGRA: Com vírgula e sempre com duas casas depois da virgula

// DADOS DO SEU CLIENTE
$dadosboleto["sacado"] = "$provedor_nome";
$dadosboleto["endereco1"] = "$provedor_endereco";
$dadosboleto["endereco2"] = "";

// INFORMACOES PARA O CLIENTE
$dadosboleto["demonstrativo1"] = "$financeiro_descricao";
$dadosboleto["demonstrativo2"] = "";
$dadosboleto["demonstrativo3"] = "";
$dadosboleto["instrucoes1"] = "$obs1";
$dadosboleto["instrucoes2"] = "$obs2";
$dadosboleto["instrucoes3"] = "";
$dadosboleto["instrucoes4"] = "";

// DADOS OPCIONAIS DE ACORDO COM O BANCO OU CLIENTE
$dadosboleto["quantidade"] = "001";
$dadosboleto["valor_unitario"] = $valor_boleto;
$dadosboleto["aceite"] = "";		
$dadosboleto["especie"] = "R$";
$dadosboleto["especie_doc"] = "DS";


// ---------------------- DADOS FIXOS DE CONFIGURAÇÃO DO SEU BOLETO --------------- //


// DADOS DA SUA CONTA - Bradesco
$dadosboleto["agencia"] = "$banco_agencia_num"; // Num da agencia, sem digito
$dadosboleto["agencia_dv"] = "$banco_agencia_dv"; // Digito do Num da agencia
$dadosboleto["conta"] = "$banco_conta"; 	// Num da conta, sem digito
$dadosboleto["conta_dv"] = "$banco_dv"; 	// Digito do Num da conta

// DADOS PERSONALIZADOS - Bradesco
$dadosboleto["conta_cedente"] = "$banco_conta"; // ContaCedente do Cliente, sem digito (Somente Números)
$dadosboleto["conta_cedente_dv"] = "$banco_dv"; // Digito da ContaCedente do Cliente
$dadosboleto["carteira"] = "$banco_praca";  // Código da Carteira: pode ser 06 ou 03

// SEUS DADOS
$dadosboleto["identificacao"] = "";
$dadosboleto["cpf_cnpj"] = "";
$dadosboleto["endereco"] = "";
$dadosboleto["cidade_uf"] = "Cidade: $banco_cidade / Estado: $banco_uf";
$dadosboleto["cedente"] = "$banco_cedente";


// NÃO ALTERAR!
include("include/funcoes_bradesco.php"); 
include("include/layout_bradesco.php");
	}
}
?>
